> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/odds-recovery/recover-sport-event-endpoint/endpoint.md).

# Endpoint

## Recover stateful-messages for a sport event

> Request to resend all stateful-messages (BetSettlement, RollbackBetSettlement, BetCancel, UndoBetCancel) for a sport event.

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/{product}/stateful_messages/events/{urn_type}:{id}/initiate_request":{"post":{"summary":"Recover stateful-messages for a sport event","description":"Request to resend all stateful-messages (BetSettlement, RollbackBetSettlement, BetCancel, UndoBetCancel) for a sport event.","operationId":"recoverStatefulEvent","tags":["Odds Recovery"],"parameters":[{"name":"product","description":"Get odds for prematch, live, premium cricket, betpal or virtual sports matches.","in":"path","required":true,"schema":{"type":"string","enum":["pre","liveodds","premium_cricket","betpal","vf","vbl","vto","vdr","vhc","vti","codds","vci","vbi"]},"default":"pre"},{"name":"urn_type","description":"The event type you want to look up. Prefixes beginning with 'v' are for virtual sports.","in":"path","required":true,"schema":{"type":"string","enum":["sr:match","sr:simple_tournament","sr:stage","sr:season","vf:match","vbl:match","vto:match","vdr:stage","vhc:stage","vti:match","vti:tournament","vci:match","vci:tournament","vbi:match","vbi:tournament"]},"default":"sr:match"},{"name":"id","description":"Get stateful-messages for the event ID.","in":"path","required":true,"schema":{"type":"integer"},"default":9047751},{"name":"request_id","description":"Send a snapshotcomplete message with this request ID over the feed when finished with request.","in":"query","required":false,"schema":{"type":"integer"},"default":318},{"name":"node_id","description":"If specified, the node ID will be included in routing key for all recovery messages that belong to this request.","in":"query","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation"}}}}}}
```

**Endpoint Parameters**

| Paramenter                                              | Description                                                                                                                                                  | Possible Values                                                                                                                                                                             |
| ------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><em>product</em></p><p><strong>Required</strong></p> | Select the product (prematch / live / premium cricket / betpal / virtual sports etc) for which you want the odds (for the markets for a sport event) resent. | pre, liveodds, premium\_cricket, betpal, vf, vbl, vto, wns, vdr, vhc, vti, codds, vci, vbi                                                                                                  |
| <p>urn\_type</p><p><strong>Required</strong></p>        | The event type you want to look up. Prefixes beginning with 'v' are for virtual sports                                                                       | sr:match, sr:simple\_tournament, sr:stage, sr:season, vf:match, vbl:match, vto:match, vdr:stage, vhc:stage, vti:match, vti:tournament, vci:match, vci:tournament, vbi:match, vbi:tournament |
| <p>id</p><p><strong>Required</strong></p>               | The ID of the event you want to get the oddschanges                                                                                                          | <p><br></p>                                                                                                                                                                                 |
| <p>request\_id</p><p><strong>Optional</strong></p>      | If specified, the request ID with which the snapshot complete message is sent over the feed when finished with the request                                   | <p><br></p>                                                                                                                                                                                 |
| <p>node\_id</p><p><strong>Optional</strong></p>         | If specified, the node ID will be included in routing key for all recovery messages that belong to this request.                                             | <p><br></p>                                                                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/odds-recovery/recover-sport-event-endpoint/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
